---
title: Introduction
metaTitle: Guides - Handsontable Documentation
permalink: /12.0/
canonicalUrl: /
---

# Handsontable guides

[[toc]]

Welcome to the Handsontable guides. 👋

Learn how Handsontable works and what you can do with it, through:
- Code samples
- Live examples
- Step-by-step instructions
- Real-life use cases
- And much more

## Demo

Explore Handsontable's features and source code:

- [Demo &#8594;](@/guides/getting-started/demo.md)

## Guides for your framework

<div class="row-items-container">
  <Link href="/docs/12.0/binding-to-data/" hide-latest-version class="row-item">
    <img class="integration-framework-logo" src="/docs/12.0/img/pages/introduction/javascript.svg" alt="JavaScript logo" />
      <h3>JavaScript</h3>
  </Link>
  <Link href="/docs/12.0/react-simple-example/" hide-latest-version class="row-item">
    <img class="integration-framework-logo" src="/docs/12.0/img/pages/introduction/react.svg" alt="React logo" />
      <h3>React</h3>
  </Link>
  <Link href="/docs/12.0/angular-simple-example/" hide-latest-version class="row-item">
    <img class="integration-framework-logo" src="/docs/12.0/img/pages/introduction/angular.svg" alt="Angular logo" />
      <h3>Angular</h3>
  </Link>
  <Link href="/docs/12.0/vue-simple-example/" hide-latest-version class="row-item">
    <img class="integration-framework-logo" src="/docs/12.0/img/pages/introduction/vue.svg" alt="Vue logo" />
      <h3>Vue</h3>
  </Link>
  <Link href="/docs/12.0/vue3-simple-example/" hide-latest-version class="row-item">
    <img class="integration-framework-logo" src="/docs/12.0/img/pages/introduction/vue.svg" alt="Vue 3 logo" />
      <h3>Vue 3</h3>
  </Link>
</div>

## What's new

- [Release notes &#8594;](@/guides/upgrade-and-migration/release-notes.md)
- [Blog](https://handsontable.com/blog)
- [Twitter](https://twitter.com/handsontable)

## Technical support

- [Contact technical support](https://handsontable.com/contact?category=technical_support)
- [Ask a question on the Handsontable forum](https://forum.handsontable.com)
- [Report an issue on GitHub](https://github.com/handsontable/handsontable/issues)
- [Take part in GitHub Discussions](https://github.com/handsontable/handsontable/discussions)
